@import 'home'
@import 'pad'
@import 'settings'

// Common stuff used for input & input like elements
.option-row
  align-items center
  display flex
  height 75px
  justify-content flex-start
  margin 0 0 18px
  width 518px

  &:first-child
    margin-top 45px

  &.text
    justify-content space-around

  & h3
    margin 0 27px
    width 81px

  & input[type=text]
    background-color transparent
    border-color inherit
    border-image none
    border-style solid
    border-width 0 0 1px 0
    color inherit
    font-family inherit
    font-size 14px
    font-weight 400
    width 276px

    &:focus
      outline 0

    &::placeholder
      color inherit
      font-family inherit
      opacity 0.5

  & .vibe-input-row
    display flex
    justify-content space-between
    width 227px

    & label
      align-items center
      background-color $icon-light
      border 0
      color $text-dark
      cursor pointer
      display flex
      font-family monospace
      font-size 18px
      height 44px
      justify-content center
      padding 0
      position relative
      width 107px

      &:first-child
        border 1px solid $icon-dark
        border-radius 5px 0 0 5px
        border-right 0


        &:after
          background $icon-light
          border 1px solid $icon-dark
          content ' '
          display block
          height 100%
          position absolute
          right 0
          top -1px
          transform skew(-15deg, 0deg)
          transform-origin bottom left
          width 11px
          z-index -1

      &:last-child
        border 1px solid $icon-dark
        border-left 0
        border-radius 0 5px 5px 0

        &:after
          background $icon-light
          border 1px solid $icon-dark
          content ' '
          display block
          height 100%
          left 0
          position absolute
          top -1px
          transform skew(-15deg, 0deg)
          transform-origin top left
          width 11px
          z-index -2

      &:focus
        outline 0

      & input[type=radio]
        height 15px
        width 15px

      & span
        margin-left 9px

  & .flavor-input-select
    align-items center
    display flex
    flex-flow column nowrap
    height 46px
    position relative
    width 200px

    &.open .option .icon
      top 11px
      transform rotate(180deg)

    & .option-list
      height 226px
      left 0
      position absolute
      top 54px
      width 173px
      z-index 2

      & .option:first-child
        border-radius 0

      &.hidden
        display none

    & .option
      align-items center
      background-color $icon-light
      border 1px solid $icon-dark
      color $text-dark
      cursor pointer
      display flex
      height 44px
      padding 0 18px 0 27px
      position relative
      text-align center
      vertical-align middle
      width 153px
      z-index 3

      &:first-child
        border-radius 4px

      & + .option
        border-top 0

      &:focus
        outline 0

      &.selected
        display none

        &:first-child + .option
          border-top 1px solid $icon-dark

      & .dot
        border-radius 50%
        display inline-block
        height 27px
        margin 0 18px 0 0
        vertical-align middle
        width 27px

      & .icon
        height 18px
        position absolute
        right 18px
        top 12px
        width 18px
